## com.imcode.imcms.servlet.admin
Class MenuEditPage.SaveNewDocumentAndAddToMenuCommand

    java.lang.Object
      com.imcode.imcms.servlet.admin.MenuEditPage.SaveNewDocumentAndAddToMenuCommand

All Implemented Interfaces:
  DocumentPageFlow.SaveDocumentCommand, java.io.Serializable

Enclosing class:
  MenuEditPage

    public static class MenuEditPage.SaveNewDocumentAndAddToMenuCommand

extends java.lang.Object
implements DocumentPageFlow.SaveDocumentCommand

See Also:
  Serialized Form

Method Summary
`DocumentDomainObject` `getSavedDocument()`
`void` `saveDocument(DocumentDomainObject document, UserDomainObject user)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### saveDocument

    public void saveDocument(DocumentDomainObject document,
                             UserDomainObject user)
                      throws NoPermissionToEditDocumentException,
                             NoPermissionToAddDocumentToMenuException,
                             DocumentSaveException

  Specified by:
    `saveDocument` in interface `DocumentPageFlow.SaveDocumentCommand`
  Throws:
    `NoPermissionToEditDocumentException`
    `NoPermissionToAddDocumentToMenuException`
    `DocumentSaveException`

### getSavedDocument

    public DocumentDomainObject getSavedDocument()